Package com.collabnet.ce.soap60.webservices.pluggable

# Class PluggablePermissionSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO

public class PluggablePermissionSoapDO extends FolderSoapDO
PluggablePermissionSoapDO represents a pluggable permission data..

Since:
  6.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluggablePermissionSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDapMappedTo()`
  Returns 'dapMappedTo'.
  `String`
  `getIsAdminTool()`
  Returns 'isAdminTool'.
  `String`
  `getPermission()`
  Returns 'permission'.
  `String`
  `getPlugId()`
  Returns 'plugId'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDapMappedTo(String dapMappedTo)`
  Sets 'dapMappedTo'.
  `void`
  `setIsAdminTool(String isAdminTool)`
  Sets 'isAdminTool'.
  `void`
  `setPermission(String permission)`
  Sets 'permission'.
  `void`
  `setPlugId(String plugId)`
  Sets 'plugId'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluggablePermissionSoapDO

    public PluggablePermissionSoapDO()

- ## Method Details

  - ### getPlugId

    public String getPlugId()
    Returns 'plugId'.
    Returns:
      Value of 'plugId'.

  - ### setPlugId

    public void setPlugId(String plugId)
    Sets 'plugId'.
    Parameters:
      `plugId` - Value of 'plugId'.

  - ### getPermission

    public String getPermission()
    Returns 'permission'.
    Returns:
      Value of 'permission'.

  - ### setPermission

    public void setPermission(String permission)
    Sets 'permission'.
    Parameters:
      `permission` - Value of 'permission'.

  - ### getDapMappedTo

    public String getDapMappedTo()
    Returns 'dapMappedTo'.
    Returns:
      Value of 'dapMappedTo'.

  - ### setDapMappedTo

    public void setDapMappedTo(String dapMappedTo)
    Sets 'dapMappedTo'.
    Parameters:
      `dapMappedTo` - Value of 'dapMappedTo'.

  - ### getIsAdminTool

    public String getIsAdminTool()
    Returns 'isAdminTool'.
    Returns:
      Value of 'isAdminTool'.

  - ### setIsAdminTool

    public void setIsAdminTool(String isAdminTool)
    Sets 'isAdminTool'.
    Parameters:
      `isAdminTool` - Value of 'isAdminTool'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)